Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Signals | Public Member Functions | Private Types | Private Slots | Private Attributes | List of all members
RemesherPlugin Class Reference
Inheritance diagram for RemesherPlugin:

## Public Slots
void | adaptiveRemeshing (int _objectId, double _error, double _min_edge_length, double _max_edge_length, unsigned int _iters, bool _use_projection=true)
void | adaptiveRemeshingFaceSelection (int _objectId, double _error, double _min_edge_length, double _max_edge_length, unsigned int _iters, bool _use_projection=true)
void | uniformRemeshing (int _objectId, double _edge_length, unsigned int _iters, unsigned int _area_iters, bool _use_projection=true)
void | uniformRemeshingFaceSelection (int _objectId, double _edge_length, unsigned int _iters, unsigned int _area_iters, bool _use_projection=true)
QString | version ()

## Signals
void | updateView ()
void | updatedObject (int _id, const UpdateType &_type)
void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
void | log (Logtype _type, QString _message)
void | log (QString _message)
void | pluginExists (QString _pluginName, bool &_exists)
void | functionExists (QString _pluginName, QString _functionName, bool &_exists)
void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon)
void | startJob (QString _jobId, QString _description, int _min, int _max, bool _blocking=false)
void | setJobState (QString _jobId, int _value)
void | setJobName (QString _jobId, QString _name)
void | finishJob (QString _jobId)
void | setJobDescription (QString _jobId, QString _description)
void | createBackup (int _id, QString _name, UpdateType _type=UPDATE_ALL)
void | scriptInfo (QString _functionName)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from BackupInterface
virtual void | createBackup (int _objectid, QString _name, UpdateType _type=UPDATE_ALL)
| Tell Backup Plugin to create a backup. More...
virtual void | aboutToRestore (int _objectid)
| Backup Plugin tells other Plugins that a restore will happen. More...
virtual void | generateBackup (int _id, QString _name, UpdateType _type)
| This signal is emitted by a BackupPlugin and tells a TypePlugin to generate a backup. More...
Signals inherited from ToolboxInterface
virtual void | addToolbox (QString _name, QWidget *_widget)
| Add a toolbox widget to the gui with the given name. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0
Signals inherited from RPCInterface
virtual void | pluginExists (QString _pluginName, bool &_exists)
Signals inherited from ProcessInterface
virtual void | startJob (QString _jobId, QString _description, int _min, int _max, bool _blocking=false)
| announce a new job More...
Signals inherited from ScriptInterface
virtual void | scriptInfo (QString _functionWithParameters)
| Emit this signal if a scriptable function is executed. More...
virtual void | getScriptingEngine (QScriptEngine *&_engine)
virtual void | executeScript (QString _script)
virtual void | getAvailableFunctions (QStringList &_functions)

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...
void | noguiSupported ()

## Private Types
enum | RemeshingOperation { REMESH_UNIFORM, REMESH_ADAPTIVE }

## Private Slots
void | initializePlugin ()
| init the Toolbox
void | pluginsInitialized ()
| Initialize the plugin.
void | adaptiveRemeshingButtonClicked ()
void | adaptiveRemeshing ()
void | uniformRemeshingButtonClicked ()
void | uniformRemeshing ()
void | threadFinished (QString _jobId)
void | computeInitValues ()
| Compute mean edge length and set values.
void | slotAdaptiveRemeshing (int _objectId, double _error, double _min_edge_length, double _max_edge_length, unsigned int _iters, bool _use_projection=true, bool _vertex_selection=true)
void | slotUniformRemeshing (int _objectId, double _edge_length, unsigned int _iters, unsigned int _area_iters, bool _use_projection=true, bool _vertex_selection=true)

## Private Attributes
RemesherToolBox * | tool_
ProgressEmitter * | progress_
QIcon * | toolIcon_
RemeshingOperation | operation_

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from BackupInterface
virtual void | createBackup (IdList _objectids, QString _name, std::vector< UpdateType > _types)
| Tell Backup Plugin to create a group backup. More...
virtual void | undo (int _objectid)
| Tell Backup Plugin to undo the last action of an object. More...
virtual void | redo (int _objectid)
| Tell Backup Plugin to redo the last action on an object. More...
virtual void | undo ()
| Tell Backup Plugin to undo the last action. More...
virtual void | redo ()
| Tell Backup Plugin to redo the last action. More...
virtual | ~BackupInterface ()
| Destructor.
virtual void | restored (int _objectid)
| Backup Plugin tells other Plugins that a restore has happened. More...
Private Member Functions inherited from ToolboxInterface
virtual | ~ToolboxInterface ()
| Destructor.
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon)
| Add a toolbox widget to the gui with the given name and an icon. More...
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon, QWidget *_headerAreaWidget)
| Add a toolbox widget to the gui with the given name, icon and header area widget. More...
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.
Private Member Functions inherited from RPCInterface
virtual | ~RPCInterface ()
| Destructor.
virtual void | functionExists (QString _pluginName, QString _functionName, bool &_exists)
Private Member Functions inherited from ProcessInterface
virtual | ~ProcessInterface ()
| Destructor.
virtual void | setJobState (QString _jobId, int _value)
| update job state More...
virtual void | setJobName (QString _jobId, QString _name)
| update job's name More...
virtual void | setJobDescription (QString _jobId, QString _text)
| update job's description text More...
virtual void | cancelJob (QString _jobId)
| Cancel your job. More...
virtual void | finishJob (QString _jobId)
| Finish your job. More...
Private Member Functions inherited from ScriptInterface
virtual | ~ScriptInterface ()
| Destructor.
virtual void | executeFileScript (QString _filename)
virtual void | getDescription (QString _function, QString &_description, QStringList &_parameters, QStringList &_descriptions)

## Detailed Description

Definition at line 69 of file RemesherPlugin.hh.

## Member Function Documentation

QString RemesherPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 130 of file RemesherPlugin.hh.

QString RemesherPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 129 of file RemesherPlugin.hh.

void RemesherPlugin::noguiSupported | ( |  | ) |
| inline virtual

Using this function you can inform the core that your plugin can run without creating a widget. If your plugin does not implement this function, it will not be loaded in scripting mode without gui. You don't have to do anything in this function.

Reimplemented from BaseInterface.

Definition at line 215 of file RemesherPlugin.hh.

The documentation for this class was generated from the following files:

- Plugin-Remesher/RemesherPlugin.hh
- Plugin-Remesher/RemesherPlugin.cc